﻿using Syncfusion.Pdf;
using Syncfusion.Pdf.Graphics;
using Syncfusion.Pdf.Parsing;
using Syncfusion.Pdf.Security;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace DigitalDignatureAppearance
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            var loadedDocument = new PdfLoadedDocument("../../Data/Input.pdf");

            var page = loadedDocument.Pages[0] as PdfLoadedPage;

           
            var certificate = new PdfCertificate("../../Data/PDF.pfx","syncfusion");

            // Signature
            var signature = new PdfSignature(loadedDocument, page, certificate, "Signature");
            //seeting bounds to the signature field
            signature.Bounds = new RectangleF(100, 100, 200, 200);
            //ceating the custom apperence to the field.
            signature.Appearence.Normal.Graphics.DrawRectangle(PdfBrushes.Pink,new RectangleF(0,0,200,200));

            // Encrypted, password protected PDF
            loadedDocument.Security.KeySize = PdfEncryptionKeySize.Key256Bit;
            loadedDocument.Security.Algorithm = PdfEncryptionAlgorithm.AES;
            loadedDocument.Security.OwnerPassword = "password";
            loadedDocument.Security.Permissions = PdfPermissionsFlags.EditAnnotations | PdfPermissionsFlags.Print;
          
            loadedDocument.Save("siganture.pdf");

            loadedDocument.Close(true);

            System.Diagnostics.Process.Start("siganture.pdf");
        }
    }
}
